#include <iostream>
using namespace std;
int niza[2*100000];
double nizp[2*100000];
int main(){
    cout.precision(4);
    cout<<fixed;
    int n;
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>niza[i]>>nizp[i];
    }
    double res=0;
    double trres=0;
    long long z=0;
    for(int j=0;j<n;j++){
        z=0;
        for(int k=0;k<n;k++){
            if(nizp[j]<=nizp[k]){
                z+=niza[k];
            }
        }
        trres=double((double(z)*nizp[j]))/double(100);
        if(trres>res){
            res=trres;
        }
    }
    cout<<res<<endl;
    return 0;
}